%global momorel 1

Summary: A vector graphics library
Name: cairo
Version: 1.4.12
Release: %{momorel}m%{?dist}
URL: http://cairographics.org
%global md5source0 8e50c2c0d56388e4ee94196c0c7a7904
#%%global sha1source0 b86b4017a9abd565ef11c72b7faee9082a04118f
%NoSource 0 http://cairographics.org/releases/%{name}-%{version}.tar.gz %{md5source0}
#%%NoSource 0 http://cairographics.org/snapshots/%{name}-%{version}.tar.gz %{md5source0}
License: LGPL or MPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
BuildRequires: libpng-devel
BuildRequires: freetype-devel >= 2.1.9
BuildRequires: fontconfig-devel >= 2.2.3
BuildRequires: libX11-devel, libXrender-devel

%description 
Cairo is a 2D graphics library with support for multiple output devices.
Currently supported output targets include the X Window System, win32,
and image buffers. Experimental backends include OpenGL (through glitz),
Quartz, XCB, PostScript and PDF file output.

Cairo is designed to produce consistent output on all output media while
taking advantage of display hardware acceleration when available
(for example, through the X Render Extension).

The cairo API provides operations similar to the drawing operators of
PostScript and PDF. Operations in cairo including stroking and filling
cubic Bezier splines, transforming and compositing translucent images,
and antialiased text rendering. All drawing operations can be transformed
by any affine transformation (scale, rotation, shear, etc.).


%package devel
Summary: Cairo developmental libraries and header files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Developmental libraries and header files required for developing or
compiling software which links to the cairo library, which is an open
source vector graphics library.

%prep
%setup -q

%build
%configure 
%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_libdir}/libcairo*.so.* 

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libcairo.a
%{_libdir}/libcairo*.so
%{_libdir}/pkgconfig/*
%{_datadir}/gtk-doc/*

%changelog
* Sat Dec  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.12-1m)
- update to 1.4.12
- [SECURITY] CVE-2007-5503

* Fri Jun 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.10-1m)
- update to 1.4.10

* Tue Jun 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.8-1m)
- update to 1.4.8

* Wed May  2 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.6-1m)
- update to 1.4.6

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.4-1m)
- update to 1.4.4

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.4.2-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Fri Mar 23 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.4.2-1m)
- update to 1.4.2

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.4.0-1m)
- update to 1.4.0

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.14-2m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3.14-1m)
- update to 1.3.14 (development snapshot)

* Fri Nov 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.6-1m)
- update to 1.2.6

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.2.4-1m)
- update to 1.2.4
- delete libtool library

* Fri Mar 17 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.4-1m)
- version 1.0.4(bug-fix release)
- remove Patch0: cairo-1.0.0-pkgconfig-0_15.patch
-        Patch1: cairo-1.0.2-dup-define.patch

* Wed Jan 18 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-2m)
- add Patch1: cairo-1.0.2-dup-define.patch
- Bug #5136 (https://bugs.freedesktop.org/show_bug.cgi?id=5136)
- Remove duplicate definitions of pixman_color_to_pixel and pixman_composite.

* Fri Oct  7 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0.2-1m)
- version 1.0.2

* Thu Sep 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-3m)
- revised Patch0(add xft in cairo.pc)

* Thu Sep 22 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-2m)
- add Patch0: cairo-1.0.0-pkgconfig-0_15.patch

* Tue Aug 30 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0.0-1m)
- initial import

